package com.lanyun.common.baseDate

import androidx.annotation.DrawableRes
import androidx.annotation.StringRes
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Home
import androidx.compose.material.icons.filled.Settings
import androidx.compose.runtime.mutableStateOf
import androidx.compose.ui.graphics.vector.ImageVector
import com.lanyun.common.R

/**
 * 导航相关
 */
object Nav {

    //密封类关联目的地路线和字符串资源
    sealed class BottomNavScreen(val route: String,@StringRes val resourceId: Int,val icon: ImageVector) {
        object HomeScreen: BottomNavScreen("home", R.string.bottom_home, Icons.Default.Home)
        object SettingsScreen: BottomNavScreen("settings", R.string.bottom_settings, Icons.Default.Settings)

    }

    //记录BottomNav当前的Item
    val bottomNavRoute = mutableStateOf<BottomNavScreen>(BottomNavScreen.HomeScreen)

    //是否点击两次返回的activity
    var twoBackFinishActivity = false

    //项目页面指示器index
    val projectTopBarIndex = mutableStateOf(0)

    //广场页面指示器index
    val squareTopBarIndex = mutableStateOf(0)

    //公众号页面指示器index
    val publicNumIndex = mutableStateOf(0)

}